Foreman - Bug #7177

Unable to create a new host against a vSphere 5.1.0 cluster. - 'InvalidProperty: '
08/20/2014 10:36 AM - Gavin Williams
Description

Currently I'm trying to setup a Foreman 1.5.2 install on CentOS 6 against a vSphere 5.1.0 installation.

The compute resource was created without any issues.

However when | try and create a new host, | get an error:

Unable to save

Failed to create a compute ACTINT-VMware (VMWare) instance git.card.co.uk: InvalidProperty:

Have tried to enable debugging, however am unable to get logging working.

Production.log excerpt is here: http:/pastebin.com/zP5TgezT

Let me know if can provide any further info.

Related issues:

Related to Foreman - Bug #10873: "cores per socket" field should be disabled ... New 06/18/2015
Copied to Foreman - Bug #13246: Unable to create a new host against a vSphere... Duplicate 08/20/2014
History

#1 - 01/14/2016 11:42 AM - John Moses
Gavin Williams wrote:
Currently I'm trying to setup a Foreman 1.5.2 install on CentOS 6 against a vSphere 5.1.0 installation.
The compute resource was created without any issues.
However when | try and create a new host, | get an error:
L]

Have tried to enable debugging, however am unable to get logging working.

Production.log excerpt is here: http:/pastebin.com/zP5TgezT

Let me know if can provide any further info.

Hi Could let know how you sorted this out ?? lam running foreman 1.10 with Vcenter 4.1 and the VM gets created but foreman returns the same error.
When | check the VM the customisation for respective memory or nic's haven't been done as well..
#2 - 01/14/2016 11:44 AM - Gavin Williams
John Moses wrote:
Gavin Williams wrote:

Currently I'm trying to setup a Foreman 1.5.2 install on CentOS 6 against a vSphere 5.1.0 installation.
The compute resource was created without any issues.
However when | try and create a new host, | get an error:

(-]

Have tried to enable debugging, however am unable to get logging working.

Production.log excerpt is here: http:/pastebin.com/zP5TgezT

Let me know if can provide any further info.
Hi Could let know how you sorted this out ?? lam running foreman 1.10 with Vcenter 4.1 and the VM gets created but foreman returns the same
error.

When | check the VM the customisation for respective memory or nic's haven't been done as well..

| never did get it fixed TBH...

#3 - 01/14/2016 07:00 PM - John Moses

Gavin Williams wrote:

John Moses wrote:
Gavin Williams wrote:

Currently I'm trying to setup a Foreman 1.5.2 install on CentOS 6 against a vSphere 5.1.0 installation.
The compute resource was created without any issues.
However when | try and create a new host, | get an error:
[-]

Have tried to enable debugging, however am unable to get logging working.

Production.log excerpt is here: http:/pastebin.com/zP5TgezT

Let me know if can provide any further info.

Hi Could let know how you sorted this out ?? lam running foreman 1.10 with Vcenter 4.1 and the VM gets created but foreman returns the
same error.

When | check the VM the customisation for respective memory or nic's haven't been done as well..

I never did get it fixed TBH...

This is now gonna be a nightmare as we were our provisioning plans thru foreman are now at halt.. :-(

#4 - 01/15/2016 11:52 AM - John Moses
- Copied to Bug #13246: Unable to create a new host against a vSphere 4.1.0 cluster. - 'InvalidProperty: ' added

#5 - 05/07/2016 12:03 PM - Anonymous

what's the status here with newer Foreman versions?
#6 - 05/17/2016 07:30 PM - Mike Chang
Michael Moll wrote:

what's the status here with newer Foreman versions?

| can report that this issue still exists on Foreman 1.11.1. Currently deployed a PoC with RHEL 6.7 against a vSphere 4.1 cluster.

Creating a new host will result in an initial VM creation in the correct folder and resource pool, but stops with a 1 vCPU, 32MB RAM VM with no NIC
or Storage. All other options are not set, including hot plug. Viewing the VM (or any other VM for that matter) through Compute Resources > Virtual
Machine or Associating VMs also results in the same error, though with a slightly different error message:

RbVmomi::Fault
InvalidProperty:
Something I'd like to note, but not sure if it's relevant: Recent releases of fog-vsphere included the addition of the property
"config.hardware.numCoresPerSocket" (located in /opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-0.6.3/lib/fog/vsphere/compute.rb).
vSphere 4.1 API doesn't have this property, as that was introduced in vSphere 5. It's possible there are more properties that are being mapped that
don't exist pre-5.5.

A similar issue was posted at fog-vsphere (since closed): https://github.com/fog/fog-vsphere/issues/2

#7 - 05/18/2016 04:00 AM - Dominic Cleal

- Category set to Compute resources - VMware

#8 - 06/10/2016 03:43 PM - Anonymous
- Related to Bug #10873: "cores per socket" field should be disabled for Virtual H/W Version 10 when creating VMware VM added
